Subject: Re: bug#53700: Guix package is hardcoded in guix home

From: Ludovic Courtès <[email-masked]>
Date: Wed, 02 Mar 2022 12:06:22 +0100

Hi,

Gordon Quad <[email-masked]> skribis:

> guix home uses guix package directly imported from (gnu packages
> package-management) gnu/home/services.scm:22
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/home/services.scm#n22
>
> It looks like for now it is used only here gnu/home/services.scm:283
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/home/services.scm#n284
>
> It is quite unfortunte to see guix home to pull whole extra copy of guix
> only to use few files to do gettext localization init.

Yes, it’s a bit heavy-handed.

> If would be nice to be able to customize guix package used there so I
> can make sure guix used by guix home is the same as in my guix daemon.

I’m not sure I understand.  As you write, the ‘guix’ package is used in
(gnu home services) only to get gettext catalogs; AFAICS it’s not used
for anything else.

Could you clarify what you had in mind?

Thanks,
Ludo’.